const path = require('path')

import { createOutput, commonPlugins } from '../common/rollup.config'

export default {
  input: path.resolve(__dirname, 'src/index.ts'),
  output: createOutput(__dirname, {
    file: 'dist/index.cjs.js',
    format: 'cjs',
  }, {
    file: 'dist/index.esm.js',
    format: 'esm',
  }),
  plugins: commonPlugins
}
